@media (min-width: 1400px) {
  .container {
    max-width: 1320px;
  }
}

@media (min-width: 1600px) {
  .container {
    max-width: 1480px;
  }
}

@media (min-width: 1920px) {
  .container {
    max-width: 1672px;
  }
}

@media(max-width: 1599px) {
    body, html {
        font-size: 18px;
    }
}

@media(max-width: 1399px) {
    .container {
        max-width: 1240px;
    }
    .siteHeader {
        padding-block: 2rem;
    }
}

@media(max-width: 1199px) {
    body, html {
        font-size: 16px;
    }
}

@media(max-width: 991px) {
    .siteHeader {
        padding-block: 1.5rem;
    }
    .siteHeader-Logo {
        width: 12rem;
    }
    
    /* Hamburger Icon */
    .siteHeader-Toggle:focus,
    .siteHeader-Toggle:active {
        outline: none;
        box-shadow: none;
    }
    .siteHeader-Toggle {
        background: transparent;
        border: none;
        padding: 0;
        width: 24px;
        height: 16px;
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        z-index: 1060;
    }
    .siteHeader-Toggle span {
        display: block;
        width: 100%;
        height: 2px;
        background-color: var(--secondary-color);
        transition: all 0.3s ease-in-out;
    }
    .siteHeader-Toggle.active span:nth-child(1) {
        transform: translateY(7px) rotate(45deg);
    }
    .siteHeader-Toggle.active span:nth-child(2) {
        opacity: 0;
    }
    .siteHeader-Toggle.active span:nth-child(3) {
        transform: translateY(-7px) rotate(-45deg);
    }

    /* Header over Offcanvas */
    .siteHeader {
        z-index: 1060;
    }

    /* Offcanvas */
    .siteOffcanvas {
        background-color: var(--secondary-color);
        height: 100vh !important;
        width: 100% !important;
        max-width: none !important;
        border: none;
        padding-top: 7rem; /* Adjust based on header height */
        z-index: 1050;
        transition: transform 0.5s cubic-bezier(0.165, 0.84, 0.44, 1);
    }
    .offcanvas-backdrop {
        z-index: 1040;
    }
    .siteHeader-Nav-Mobile {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 2rem;
    }
    .siteHeader-Nav-Mobile li a {
        color: white;
        text-decoration: none;
        font-size: 1.5rem;
        text-transform: uppercase;
        letter-spacing: 2px;
    }
    .siteHeader-Nav-Mobile .siteBtn {
        font-size: 1rem;
        padding: 0.8rem 2.5rem;
    }
}

@media(max-width: 767px) {
    body, html {
        font-size: 15px;
    }
    .siteOffcanvas {
        padding-top: 5rem;
    }
    .sectionSubHead {
        font-size: 0.66rem;
    }
    .sectionHead {
        font-size: 3.6rem;
    }
    .sectionDesc {
      font-size: 1.066rem;
      max-width: 30rem;
      margin: 0 auto;
    }
    .innerPage-banner {
        padding-top: 10rem;
    }
    .contactModal .modal-content {
        padding: 3rem 1.5rem;
    }
    .contactModal .btn-close {
        top: 0.5rem;
        right: 0.5rem;
    }
}

@media(max-width: 575px) {
  .sectionDesc {
      max-width: 20rem;
    }
    .siteFooter_top_content_left {
        max-width: 20rem;
        text-align: center;
    }
    .siteFooter_top_content {
        align-items: center;
    }
    .siteFooter_top_content_left img {
        max-width: 15rem;
    }
    .siteFooter_top_content h6 a {
        font-size: 1.2rem;
    }
}